<template>
    <q-dialog
        ref="dialogRef"
        :class="[$store.state.user.isDarkMode ? 'dark' : '']"
        @hide="onDialogHide"
    >
        <q-card class="q-dialog-plugin border-radius-50 q-pa-sm">
            <q-card-section v-if="title" class="q-dialog__title" align="center">
                {{ title }}
            </q-card-section>
            <q-card-section
                v-if="message"
                class="q-dialog__message"
                align="center"
            >
                {{ message }}
            </q-card-section>
            <q-card-actions vertical align="center" v-if="actions">
                <q-btn
                    class="end-btn"
                    :label="$t('alerts.endChatSession')"
                    @click="onDialogOK"
                    text-color="white"
                    flat
                    no-caps
                />
                <q-btn
                    :label="$t('button.cancel')"
                    @click="onDialogCancel"
                    borderless
                    flat
                    no-caps
                />
            </q-card-actions>
        </q-card>
    </q-dialog>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useDialogPluginComponent } from 'quasar';

export default defineComponent({
    name: 'AlertCustomDialog',
    props: {
        title: {
            type: String
        },
        message: {
            type: String
        },
        actions: {
            type: Boolean,
            default: true
        }
    },
    emits: [...useDialogPluginComponent.emits],
    setup() {
        const { dialogRef, onDialogHide, onDialogOK, onDialogCancel } =
            useDialogPluginComponent();

        return {
            dialogRef,
            onDialogHide,
            onDialogCancel,
            onDialogOK
        };
    }
});
</script>
